#synthDrivers/sapi54.py
#A part of NonVisual Desktop Access (NVDA)
#Copyright (C) 2011 NVDA Contributors <http://www.nvda-project.org/>
#This file is covered by the GNU General Public License.
#See the file COPYING for more details.

from synthDrivers.sapi5 import *
import _winreg


class SynthDriver(SynthDriver):

	name="sapi54"
	description="Microsoft Speech API version 5.4"

	@classmethod
	def check(cls):
		try:
			r=_winreg.OpenKey(_winreg.HKEY_CLASSES_ROOT,"Speech.SpVoice")
			r.Close()
			return True
		except:
			return False

	def _initTts(self):
		self.tts=comtypes.client.CreateObject("Speech.SpVoice")
		outputDeviceID=nvwave.outputDeviceNameToID(config.conf["speech"]["outputDevice"], True)
		if outputDeviceID>=0:
			self.tts.audioOutput=self.tts.getAudioOutputs()[outputDeviceID]

